## xapian-core 1.2.22

=== debian/changelog ===
xapian-core (1.2.22-2) unstable; urgency=medium

  * Make libxapian-dev "Multi-Arch: no", spotted by lintian.
  * debian/control.in: http->https in "Vcs-Browser:" and "Homepage:".
  * debian/copyright,debian/watch: http->https for xapian.org.
  * debian/control.in: "Standards-Version: 3.9.7" (no changes required).

 -- Olly Betts <olly@survex.com>  Thu, 04 Feb 2016 16:13:10 +1300

xapian-core (1.2.22-1) unstable; urgency=medium

  * New upstream release:
    + Newer than 1.2.21_git68, so Closes: #808610
  * Ack NMU; adjust changes so building backports should just work.
  * Update list of tools in description of xapian-tools package.
  * debian/control.in: Drop "Suggests: libstdc++6-4.6-dbg" from our -dbg
    package.  The package name is now out of date, and the work required
    to keep updating it doesn't seem worth the small benefit.
  * Add multi-arch support (Closes: #765820).  Thanks to Norman Rasmussen
    and Wookey.
  * Set AUTOMATED_TESTING=1 when running "make check" to skip timed tests
    which can be flaky under uneven load.
  * debian/copyright: Update copyright years for packaging.

 -- Olly Betts <olly@survex.com>  Thu, 21 Jan 2016 12:00:22 +1300
