## xapian-core 1.2.23

=== debian/changelog ===
xapian-core (1.2.23-1build1) yakkety; urgency=medium

  * No-change rebuild for GCC 6

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Aug 2016 17:19:42 +0200

xapian-core (1.2.23-1) unstable; urgency=medium

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Wed, 06 Apr 2016 13:06:37 +1200

xapian-core (1.2.22-3) unstable; urgency=medium

  * Remove "Multi-Arch: no" as dak rejects it.  (Closes: #814744)

 -- Olly Betts <olly@survex.com>  Thu, 25 Feb 2016 12:59:19 +1300
