=== debian/control ===
--- 
+++ 
@@ -53,7 +53,6 @@
 Priority: optional
 Depends: libxapian22v5 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
 Suggests: xapian-doc (= ${binary:Version}), xapian-examples (= ${binary:Version})
-Multi-Arch: no
 Description: Development files for Xapian search engine library
  This package contains development libraries and headers for the core Xapian
  library.
