## xapian-core 1.4.1

=== debian/changelog ===
xapian-core (1.4.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie backports.

 -- Olly Betts <olly@survex.com>  Tue, 29 Nov 2016 09:53:29 +1300

xapian-core (1.4.1-1) unstable; urgency=medium

  * New upstream release:
    + Installed xapian-config no longer contains build paths, improving
      reproducibility of the build.
  * xapian-doc: Mark as "Multi-Arch: foreign".

 -- Olly Betts <olly@survex.com>  Mon, 24 Oct 2016 11:00:58 +1300

xapian-core (1.4.0-2) unstable; urgency=medium

  * Upload to unstable (library transition, see #837630).

 -- Olly Betts <olly@survex.com>  Fri, 30 Sep 2016 09:06:13 +1300

xapian-core (1.4.0-1) experimental; urgency=medium

  * New upstream release series:
    + Disables static library by default - let's follow suit, as it is
      probably unused and saves build time and disk space for the installed
      package.
    + debian/rules: Ignore stopword lists for now
  * debian/rules: Add support for DEB_BUILD_OPTIONS=assertions
  * debian/rules: debian/control now depends on configure.ac.
  * debian/control.in: Declare conformance with "Standards-Version: 3.9.8".
  * debian/control.in: Use https for "Vcs-git".
  * debian/control.in: Use cgit instead of gitweb for "Vcs-Browser".

 -- Olly Betts <olly@survex.com>  Wed, 03 Aug 2016 16:48:58 +1200
