## xapian-core 1.4.3

=== debian/changelog ===
xapian-core (1.4.3-2+deb9u2) stretch; urgency=medium

  * fix-glass-cursor-bug.patch: Fix glass backend bug with long-lived cursors
    on a table in a WritableDatabase which could incorrectly lead to
    DatabaseCorruptError being thrown when the database was actually OK.
    (Closes: #906007)

 -- Olly Betts <olly@survex.com>  Mon, 13 Aug 2018 18:19:13 +1200

xapian-core (1.4.3-2+deb9u1) stretch; urgency=medium

  * Fix MSet::snippet() to escape HTML in all cases (CVE-2018-499).
    New patch: cve-2018-0499-mset-snippet-escaping.patch (Closes: #902886)

 -- Olly Betts <olly@survex.com>  Fri, 06 Jul 2018 09:52:48 +1200

xapian-core (1.4.3-2) unstable; urgency=medium

  * Fix incorrect results for unweighted AND with certain subqueries (new
    patch fix-unweighted-and.patch).  (Closes: #857693)

 -- Olly Betts <olly@survex.com>  Thu, 06 Apr 2017 06:48:18 +1200

xapian-core (1.4.3-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Update.

 -- Olly Betts <olly@survex.com>  Wed, 25 Jan 2017 14:40:08 +1300

xapian-core (1.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Olly Betts <olly@survex.com>  Mon, 26 Dec 2016 21:02:17 +1300
