=== debian/control ===
--- 
+++ 
@@ -2,19 +2,17 @@
 Section: libs
 Priority: important
 Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), autotools-dev, zlib1g-dev, uuid-dev, dpkg (>= 1.16.1~)
 Homepage: https://xapian.org/
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/xapian-core.git
-Vcs-git: git://anonscm.debian.org/collab-maint/xapian-core.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xapian-core.git/log/
+Vcs-git: https://anonscm.debian.org/git/collab-maint/xapian-core.git
 
-Package: libxapian22v5
+Package: libxapian30
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: xapian-tools
-Conflicts: libxapian22
-Replaces: libxapian22
 Multi-Arch: same
 Description: Search engine library
  This package contains the core Xapian runtime library.
@@ -27,14 +25,12 @@
  update and searching.  It is highly scalable, and is capable of working with
  collections containing hundreds of millions of documents.
 
-Package: libxapian22v5-dbg
+Package: libxapian30-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libxapian22v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libxapian30 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: libc6-dbg, libgcc1-dbg, zlib1g-dbg
-Conflicts: libxapian22-dbg
-Replaces: libxapian22-dbg
 Multi-Arch: same
 Description: Debugging symbols for the Xapian Search engine library
  This package contains debugging symbols for the core Xapian library.
@@ -51,7 +47,7 @@
 Architecture: any
 Section: libdevel
 Priority: optional
-Depends: libxapian22v5 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
+Depends: libxapian30 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
 Suggests: xapian-doc (= ${binary:Version}), xapian-examples (= ${binary:Version})
 Description: Development files for Xapian search engine library
  This package contains development libraries and headers for the core Xapian
@@ -69,7 +65,7 @@
 Architecture: any
 Section: utils
 Priority: optional
-Depends: libxapian22v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libxapian30 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Basic tools for Xapian search engine library
  This package contains several tools related to Xapian.
   - copydatabase: Copy one or more Xapian databases.
@@ -77,10 +73,8 @@
   - quest: Command line search of a Xapian database.
   - xapian-check: Check the validity of a Xapian database.
   - xapian-compact: Compact a quartz database, or merge and compact several.
-  - xapian-inspect: Developer tool for low level inspection of a database.
   - xapian-progsrv: stdin/stdout based server, for searching databases remotely.
   - xapian-tcpsrv: TCP based server, used for searching databases remotely.
-  - xapian-chert-update: Update older format chert databases.
   - xapian-replicate: Replication client.
   - xapian-replicate-server: Replication server.
   - xapian-metadata: Inspect or set user metadata in a database.
@@ -99,6 +93,7 @@
 Priority: optional
 Depends: ${misc:Depends}
 Recommends: libxapian-dev (= ${binary:Version})
+Multi-Arch: foreign
 Description: Core Xapian documentation
  This package contains general documentation about Xapian, and more detailed
  API documentation.
