=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,9 @@
 # FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 # IN THE SOFTWARE.
 
+# For development releases, set DEV_SERIES to the release series (e.g. 1.3)
+#DEV_SERIES := 1.3
+
 # Codename we're building packages for.  For backported packages, put the
 # codename (e.g. jessie or trusty) in debian/codename.  If that file doesn't
 # exist, the default is sid.
@@ -34,16 +37,14 @@
 # supported by the library. This should correspond to the soversion assigned
 # to the library by libtool.  (This isn't documented, and is system dependent,
 # so we need to check it doesn't break with future versions of libtool.)
-#
-# Check the C++ ABI version before adding a 'v5' suffix, for simpler
-# backporting.
 libxapian_soversion:=$(shell \
     awk -F'[=:]' '($$1 == "LIBRARY_VERSION_INFO") {print $$2-$$4}' configure.ac\
-    )$(shell \
-    test `echo __GXX_ABI_VERSION|g++ -xc++ -E -|tail -n1` -ge 1009 && echo v5)
-
-# For use in Conflicts and Replaces.
-other_abi_suffix:=$(shell test `echo __GXX_ABI_VERSION|g++ -xc++ -E -|tail -n1` -lt 1009 && echo v5)
+    )
+
+ifneq ($(DEV_SERIES),)
+libxapian_soversion:=-$(DEV_SERIES)-$(libxapian_soversion)
+VERSION_SUFFIX:=-$(DEV_SERIES)
+endif
 
 # For now, we don't support installation of development files for multiple
 # versions concurrently.  Incompatible ABI changes should be rare, so this
@@ -84,6 +85,9 @@
     # Set AUTOMATED_TESTING to skip timed tests which can be flaky under uneven
     # load.
     MAKE_CHECK := $(MAKE) check VALGRIND= AUTOMATED_TESTING=1
+endif
+ifneq (,$(filter assertions,$(DEB_BUILD_OPTIONS)))
+    confflags += --enable-assertions
 endif
 
 # In dpkg 1.17.0, --export=cmdline was added as the preferred name, but stick
@@ -110,25 +114,32 @@
 	rm -rf debian/xapian-tools
 	rm -rf debian/tmp debian/tmp-sse2
 
-debian/control: debian/rules debian/control.in debian/compat
+debian/control: configure.ac debian/rules debian/control.in debian/compat
 	rm -f debian/control.tmp
 	sed -e 's/@LIBXAPIAN_SOVERSION@/$(libxapian_soversion)/g' \
 	    -e 's/@LIBXAPIAN_DEV_SOVERSION@/$(libxapian_dev_soversion)/g' \
 	    -e 's/@BUILD_DEPS@/debhelper (>= $(shell cat debian/compat)),/g' \
-	    -e 's/@OTHER_ABI_SUFFIX@/$(other_abi_suffix)/g' \
 	     debian/control.in > debian/control.tmp
 	mv debian/control.tmp debian/control
 
 debian/libxapian$(libxapian_soversion).install: debian/rules debian/libxapianVERSION.install
-	cp -f debian/libxapianVERSION.install debian/libxapian$(libxapian_soversion).install
+	rm -f $@.tmp
+	sed 's/@VERSION_SUFFIX@/$(VERSION_SUFFIX)/' \
+	    debian/libxapianVERSION.install > $@.tmp
+	mv $@.tmp $@
 
 debian/libxapian$(libxapian_dev_soversion)-dev.install: debian/rules debian/libxapianVERSION-dev.install
-	cp -f debian/libxapianVERSION-dev.install debian/libxapian$(libxapian_dev_soversion)-dev.install
+	rm -f $@.tmp
+	sed 's/@VERSION_SUFFIX@/$(VERSION_SUFFIX)/' \
+	    debian/libxapianVERSION-dev.install > $@.tmp
+	mv $@.tmp $@
 
 configure: configure-stamp
 configure-stamp: debian/control
 	dh_testdir
 
+	# Use the latest config.sub and config.guess from the autotools-dev
+	# package.
 	dh_autotools-dev_updateconfig
 
 	# Report kernel and compiler version so upstream PLATFORMS file can be
@@ -184,7 +195,7 @@
 endif
 
 	# Empty dependency_libs to placate luddite release goal.
-	sed -i 's/^\(dependency_libs=\).*/\1/' $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libxapian.la
+	sed -i 's/^\(dependency_libs=\).*/\1/' $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libxapian$(VERSION_SUFFIX).la
 
 	# Install the example source code
 	mkdir -p debian/tmp/usr/share/doc/xapian-examples/examples
@@ -195,12 +206,5 @@
 	# Xapian website since we don't build and package them.
 	sed -i 's,sourcedoc/html/annotated.html,http://xapian.org/docs/&,' debian/tmp/usr/share/doc/xapian-core/internals.html
 
-	# Reads the *.install files to decide where to install everything
-	dh_install --sourcedir=debian/tmp --fail-missing
-	touch $@
-
-binary: binary-arch binary-indep
-binary-indep: DH_OPTIONS=-i
-binary-indep: build-indep install
-	dh_testdir
-	dh_testroot
+	# FIXME: Temporarily ignore these - we need to decide where to package
+	# them (new arch all -common or bundle into the main lib with a
