=== debian/watch ===
version=3
# For stable releases:
opts="pgpsigurlmangle=s/$/.asc/" http://xapian.org/download http://oligarchy.co.uk/xapian/(\d+\.\d*[02468]\.[\d.]+)/xapian-core-\1\.tar\.(?:xz|bz2|gz)
# For development releases:
#opts="pgpsigurlmangle=s/$/.asc/" http://xapian.org/download http://oligarchy.co.uk/xapian/(\d+\.\d*[13579]\.[\d.]+)/xapian-core-\1\.tar\.(?:xz|bz2|gz)
