## xapian-core 1.4.4

=== debian/changelog ===
xapian-core (1.4.4-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control.in: Declare conformance with standards-version 4.0.0.
  * debian/rules,debian/control.in: Drop unused support for versioned -dev
    packages - policy now recommends against this.
  * debian/control.in: Drop -dbg debug package now we have automatically
    generated debug packages.
  * debian/watch: Update to use https links.
  * debian/rules: Update to use https for link to source docs.

 -- Olly Betts <olly@survex.com>  Thu, 29 Jun 2017 11:09:27 +1200

xapian-core (1.4.4-1) experimental; urgency=medium

  * New upstream release
    + Includes fix-unweighted-and.patch so drop.
    + Skips testcases which throw NetworkError with errno value ECHILD.
      (Closes: #681941)
    + Works around unhelpful semantics of AI_ADDRCONFIG on Linux.
      (Closes: #853107)

 -- Olly Betts <olly@survex.com>  Wed, 26 Apr 2017 10:58:47 +1200
