=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: important
 Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Build-Depends: debhelper (>= 9), autotools-dev, zlib1g-dev, uuid-dev, dpkg (>= 1.16.1~)
 Homepage: https://xapian.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xapian-core.git/log/
@@ -16,24 +16,6 @@
 Multi-Arch: same
 Description: Search engine library
  This package contains the core Xapian runtime library.
- .
- The Xapian search engine library is a highly adaptable toolkit which allows
- developers to easily add advanced indexing and search facilities to their own
- applications.  It implements the probabilistic model of information retrieval,
- and provides facilities for performing ranked free-text searches, relevance
- feedback, phrase searching, boolean searching, stemming, and simultaneous
- update and searching.  It is highly scalable, and is capable of working with
- collections containing hundreds of millions of documents.
-
-Package: libxapian30-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: libxapian30 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Suggests: libc6-dbg, libgcc1-dbg, zlib1g-dbg
-Multi-Arch: same
-Description: Debugging symbols for the Xapian Search engine library
- This package contains debugging symbols for the core Xapian library.
  .
  The Xapian search engine library is a highly adaptable toolkit which allows
  developers to easily add advanced indexing and search facilities to their own
