=== debian/rules ===
--- 
+++ 
@@ -46,11 +46,6 @@
 VERSION_SUFFIX:=-$(DEV_SERIES)
 endif
 
-# For now, we don't support installation of development files for multiple
-# versions concurrently.  Incompatible ABI changes should be rare, so this
-# seems reasonable.
-libxapian_dev_soversion=
-
 export DH_OPTIONS
 
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -102,14 +97,14 @@
 maint: \
 	debian/control \
 	debian/libxapian$(libxapian_soversion).install \
-	debian/libxapian$(libxapian_dev_soversion)-dev.install
+	debian/libxapian-dev.install
 
 maintclean: clean
 	rm -f debian/control
 	rm -f debian/libxapian$(libxapian_soversion).install
-	rm -f debian/libxapian$(libxapian_dev_soversion)-dev.install
+	rm -f debian/libxapian-dev.install
 	rm -rf debian/libxapian$(libxapian_soversion)
-	rm -rf debian/libxapian$(libxapian_dev_soversion)-dev
+	rm -rf debian/libxapian-dev
 	rm -rf debian/xapian-doc
 	rm -rf debian/xapian-tools
 	rm -rf debian/tmp debian/tmp-sse2
@@ -117,7 +112,6 @@
 debian/control: configure.ac debian/rules debian/control.in debian/compat
 	rm -f debian/control.tmp
 	sed -e 's/@LIBXAPIAN_SOVERSION@/$(libxapian_soversion)/g' \
-	    -e 's/@LIBXAPIAN_DEV_SOVERSION@/$(libxapian_dev_soversion)/g' \
 	    -e 's/@BUILD_DEPS@/debhelper (>= $(shell cat debian/compat)),/g' \
 	     debian/control.in > debian/control.tmp
 	mv debian/control.tmp debian/control
@@ -128,7 +122,7 @@
 	    debian/libxapianVERSION.install > $@.tmp
 	mv $@.tmp $@
 
-debian/libxapian$(libxapian_dev_soversion)-dev.install: debian/rules debian/libxapianVERSION-dev.install
+debian/libxapian-dev.install: debian/rules debian/libxapianVERSION-dev.install
 	rm -f $@.tmp
 	sed 's/@VERSION_SUFFIX@/$(VERSION_SUFFIX)/' \
 	    debian/libxapianVERSION-dev.install > $@.tmp
@@ -178,7 +172,7 @@
 install: install-stamp
 install-stamp: build-stamp \
 	 debian/libxapian$(libxapian_soversion).install \
-	 debian/libxapian$(libxapian_dev_soversion)-dev.install
+	 debian/libxapian-dev.install
 	dh_testdir
 	dh_testroot
 	dh_prep
@@ -204,7 +198,23 @@
 
 	# Fix up link to the internal sourcedocs to point to those on the
 	# Xapian website since we don't build and package them.
-	sed -i 's,sourcedoc/html/annotated.html,http://xapian.org/docs/&,' debian/tmp/usr/share/doc/xapian-core/internals.html
+	sed -i 's,sourcedoc/html/annotated.html,https://xapian.org/docs/&,' debian/tmp/usr/share/doc/xapian-core/internals.html
 
 	# FIXME: Temporarily ignore these - we need to decide where to package
 	# them (new arch all -common or bundle into the main lib with a
+	# suitably versioned path?)
+	rm -rf debian/tmp/usr/share/xapian-core/stopwords
+
+	# Reads the *.install files to decide where to install everything
+	dh_install --sourcedir=debian/tmp --fail-missing
+	touch $@
+
+binary: binary-arch binary-indep
+binary-indep: DH_OPTIONS=-i
+binary-indep: build-indep install
+	dh_testdir
+	dh_testroot
+	dh_installdocs
+	dh_installexamples
+	dh_installmenu
+	dh_installman
