## xapian-core 1.4.5

=== debian/changelog ===
xapian-core (1.4.5-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Cross-site scripting vulnerability
    - debian/patches/CVE-2018-0499.patch: fix this
      in queryparser/termgenerator_internal.cc.
    - CVE-2018-0499

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 06 Jul 2018 14:12:48 -0300

xapian-core (1.4.5-1) unstable; urgency=medium

  * New upstream release
    + Fixes FTBFS due to testsuite failure on GNU/Hurd.

 -- Olly Betts <olly@survex.com>  Wed, 01 Nov 2017 14:13:30 +1300

xapian-core (1.4.4-3) unstable; urgency=medium

  * Update to conform with policy 4.1.0:
    + All binary packages are now "Priority: optional"
  * Rebuild with GCC7.  (Closes: #873751)
  * debian/rules: Drop --disable-static as that's now the upstream default.

 -- Olly Betts <olly@survex.com>  Thu, 31 Aug 2017 12:34:55 +1200
