=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: xapian-core
 Section: libs
-Priority: important
-Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 4.0.0
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Olly Betts <olly@survex.com>
+Standards-Version: 4.1.0
 Build-Depends: debhelper (>= 9), autotools-dev, zlib1g-dev, uuid-dev, dpkg (>= 1.16.1~)
 Homepage: https://xapian.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xapian-core.git/log/
@@ -28,7 +29,6 @@
 Package: libxapian-dev
 Architecture: any
 Section: libdevel
-Priority: optional
 Depends: libxapian30 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
 Suggests: xapian-doc (= ${binary:Version}), xapian-examples (= ${binary:Version})
 Description: Development files for Xapian search engine library
@@ -46,7 +46,6 @@
 Package: xapian-tools
 Architecture: any
 Section: utils
-Priority: optional
 Depends: libxapian30 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Basic tools for Xapian search engine library
  This package contains several tools related to Xapian.
@@ -72,7 +71,6 @@
 Package: xapian-doc
 Architecture: all
 Section: doc
-Priority: optional
 Depends: ${misc:Depends}
 Recommends: libxapian-dev (= ${binary:Version})
 Multi-Arch: foreign
@@ -91,7 +89,6 @@
 Package: xapian-examples
 Architecture: any
 Section: doc
-Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libxapian-dev (= ${binary:Version})
 Description: Xapian simple example programs
