=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #
 # Copyright (C) 2004,2005,2006 Lemur Consulting Ltd
-# Copyright (C) 2006,2007,2008,2009,2010,2011,2012,2013,2015,2016 Olly Betts
+# Copyright (C) 2006,2007,2008,2009,2010,2011,2012,2013,2015,2016,2017 Olly Betts
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to
@@ -146,7 +146,7 @@
 ifdef XAPIAN_BUILD_SSE
 	cd build && ../configure $(confflags) --disable-sse
 	mkdir -p build-sse2
-	cd build-sse2 && ../configure $(confflags) --disable-static
+	cd build-sse2 && ../configure $(confflags)
 else
 	cd build && ../configure $(confflags)
 endif
