## xapian-core 1.4.7

=== debian/changelog ===
xapian-core (1.4.7-4) unstable; urgency=medium

  * debian/rules: Generate libxapian30.shlibs instead of shlibs.local.
    Really Closes: #910110.

 -- Olly Betts <olly@survex.com>  Sat, 06 Oct 2018 13:09:42 +1300

xapian-core (1.4.7-3) unstable; urgency=medium

  * debian/rules: Generate shlibs.local so that reverse dependencies get a
    versioned dependency on libxapian30 based on the version when the ABI
    last changed. (Closes: #910110)
  * debian/control.in: Mark conformance with policy 4.2.1.

 -- Olly Betts <olly@survex.com>  Fri, 05 Oct 2018 13:56:34 +1300

xapian-core (1.4.7-2) unstable; urgency=medium

  * debian/control.in: Really drop "Testsuite" header.
  * Reenable revert-broken-optimisation.patch for now - it wasn't
    actually in upstream 1.4.7.  Thanks to David Bremner for spotting
    this.

 -- Olly Betts <olly@survex.com>  Fri, 27 Jul 2018 10:34:21 +1200

xapian-core (1.4.7-1) unstable; urgency=medium

  * New upstream release:
    + Includes revert-broken-optimisation.patch so drop.
  * debian/control.in: Mark conformance with policy 4.1.5.
  * debian/control.in: Drop "Testsuite" header which apparently isn't needed.

 -- Olly Betts <olly@survex.com>  Fri, 20 Jul 2018 13:45:17 +1200

xapian-core (1.4.6-2) unstable; urgency=medium

  * Revert broken new optimisation in 1.4.6 when searching a modified
    WritableDatabase.  New patch: revert-broken-optimisation.patch
    Spotted by David Bremner via the notmuch testsuite.
  * Add autopkgtest which runs some simple tests using the packaged
    command-line tools.

 -- Olly Betts <olly@survex.com>  Mon, 09 Jul 2018 12:42:03 +1200

xapian-core (1.4.6-1) unstable; urgency=medium

  * New upstream release
    + MSet::snippet() fixed to escape HTML in all cases (CVE-2018-499).
      (Closes: #902886)
  * debian/control.in: Declare conformance with standards-version 4.1.4.
  * debian/control.in: Update Vcs-* to point to salsa.d.o.

 -- Olly Betts <olly@survex.com>  Tue, 03 Jul 2018 10:23:20 +1200
