=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,9 @@
 libxapian_soversion:=$(shell \
     awk -F'[=:]' '($$1 == "LIBRARY_VERSION_INFO") {print $$2-$$4}' configure.ac\
     )
+last_abi_change_version:=$(shell \
+    awk 'BEGIN {v="1.4.0"} ($$0 ~ /^dnl [0-9][0-9]*:0:[0-9][0-9]* [0-9][0-9]*\./) { v = $$3 } END {print v}' configure.ac\
+    )
 
 ifneq ($(DEV_SERIES),)
 libxapian_soversion:=-$(DEV_SERIES)-$(libxapian_soversion)
@@ -97,11 +100,13 @@
 maint: \
 	debian/control \
 	debian/libxapian$(libxapian_soversion).install \
+	debian/libxapian$(libxapian_soversion).shlibs \
 	debian/libxapian-dev.install
 
 maintclean: clean
 	rm -f debian/control
 	rm -f debian/libxapian$(libxapian_soversion).install
+	rm -f debian/libxapian$(libxapian_soversion).shlibs
 	rm -f debian/libxapian-dev.install
 	rm -rf debian/libxapian$(libxapian_soversion)
 	rm -rf debian/libxapian-dev
@@ -115,6 +120,10 @@
 	    -e 's/@BUILD_DEPS@/debhelper (>= $(shell cat debian/compat)),/g' \
 	     debian/control.in > debian/control.tmp
 	mv debian/control.tmp debian/control
+
+debian/libxapian$(libxapian_soversion).shlibs: configure.ac debian/rules
+	echo 'libxapian $(libxapian_soversion) libxapian$(libxapian_soversion) (>= $(last_abi_change_version)~)' > $@.tmp
+	mv $@.tmp $@
 
 debian/libxapian$(libxapian_soversion).install: debian/rules debian/libxapianVERSION.install
 	rm -f $@.tmp
@@ -201,20 +210,3 @@
 	sed -i 's,sourcedoc/html/annotated.html,https://xapian.org/docs/&,' debian/tmp/usr/share/doc/xapian-core/internals.html
 
 	# FIXME: Temporarily ignore these - we need to decide where to package
-	# them (new arch all -common or bundle into the main lib with a
-	# suitably versioned path?)
-	rm -rf debian/tmp/usr/share/xapian-core/stopwords
-
-	# Reads the *.install files to decide where to install everything
-	dh_install --sourcedir=debian/tmp --fail-missing
-	touch $@
-
-binary: binary-arch binary-indep
-binary-indep: DH_OPTIONS=-i
-binary-indep: build-indep install
-	dh_testdir
-	dh_testroot
-	dh_installdocs
-	dh_installexamples
-	dh_installmenu
-	dh_installman
