## xapian-core 1.4.9

=== debian/changelog ===
xapian-core (1.4.9-1) unstable; urgency=medium

  * New upstream release
    + Fixes term position bugs introduced in 1.4.8. (Closes: #912343)
  * debian/rules: Add dependencies so regeneration of libxapian30.shlibs is
    triggered when required - this file should have been regenerated for
    1.4.8-1 but wasn't due to the lack of such a dependency. (Closes: #912370)

 -- Olly Betts <olly@survex.com>  Sat, 03 Nov 2018 15:27:44 +1300

xapian-core (1.4.8-1) unstable; urgency=medium

  * New upstream release:
    + Includes patch revert-broken-optimisation.patch so drop.
    + Add new tool xapian-pos and its man page to xapian-tools package.

 -- Olly Betts <olly@survex.com>  Mon, 29 Oct 2018 12:22:37 +1300
