=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: xapian-core
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 4.1.0
+Maintainer: Olly Betts <olly@survex.com>
+Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 9), autotools-dev, zlib1g-dev, uuid-dev, dpkg (>= 1.16.1~)
 Homepage: https://xapian.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xapian-core.git/log/
-Vcs-git: https://anonscm.debian.org/git/collab-maint/xapian-core.git
+Vcs-Browser: https://salsa.debian.org/olly/xapian-core
+Vcs-git: https://salsa.debian.org/olly/xapian-core.git
 
 Package: libxapian30
 Architecture: any
