=== debian/rules ===
--- 
+++ 
@@ -138,7 +138,7 @@
 	mv $@.tmp $@
 
 configure: configure-stamp
-configure-stamp: debian/control
+configure-stamp: debian/control debian/libxapian$(libxapian_soversion).shlibs
 	dh_testdir
 
 	# Use the latest config.sub and config.guess from the autotools-dev
@@ -209,4 +209,3 @@
 	# Xapian website since we don't build and package them.
 	sed -i 's,sourcedoc/html/annotated.html,https://xapian.org/docs/&,' debian/tmp/usr/share/doc/xapian-core/internals.html
 
-	# FIXME: Temporarily ignore these - we need to decide where to package
