## xapian-core 1.4.10

=== debian/changelog ===
xapian-core (1.4.10-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Drop -L and -l options from dh_shlibdeps invocation.
    These are no longer needed for our case (since about 10 years ago).
  * debian/control: Specify "Rules-Requires-Root: no"

 -- Olly Betts <olly@survex.com>  Tue, 12 Feb 2019 12:47:24 +1300
