=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 9), autotools-dev, zlib1g-dev, uuid-dev, dpkg (>= 1.16.1~)
 Homepage: https://xapian.org/
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/olly/xapian-core
 Vcs-git: https://salsa.debian.org/olly/xapian-core.git
