## xapian-core 1.4.11

=== debian/changelog ===
xapian-core (1.4.11-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Really mark conformance with policy 4.3.0.

 -- Olly Betts <olly@survex.com>  Sat, 02 Mar 2019 15:29:47 +1300

xapian-core (1.4.10-2) unstable; urgency=medium

  * Fix keepalive1 testcase failures on kfreebsd - new patch:
    fix-keepalive1-failures-on-kfreebsd.patch
  * debian/control.in: Mark conformance with policy 4.3.0.

 -- Olly Betts <olly@survex.com>  Fri, 22 Feb 2019 17:54:59 +1300
