## xapian-core 1.4.12

=== debian/changelog ===
xapian-core (1.4.12-1) unstable; urgency=medium

  * New upstream release
    + Drop fix-keepalive1-failures-on-kfreebsd.patch now included upstream.
  * debian/control.in: Mark conformance with policy 4.4.0.

 -- Olly Betts <olly@survex.com>  Thu, 22 Aug 2019 17:10:20 +1200
