## xapian-core 1.4.14

=== debian/changelog ===
xapian-core (1.4.14-2) unstable; urgency=medium

  * debian/tests/smoke: Update expected output since quest now reports the
    number of matches.
  * debian/tests/smoke: Use AUTOPKGTEST_TMP instead of deprecated ADTTMP.

 -- Olly Betts <olly@survex.com>  Tue, 11 Feb 2020 08:03:30 +1300

xapian-core (1.4.14-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Mark conformance with policy 4.5.0.

 -- Olly Betts <olly@survex.com>  Sat, 08 Feb 2020 10:28:55 +1300
