## xapian-core 1.4.15

=== debian/changelog ===
xapian-core (1.4.15-1) unstable; urgency=medium

  * New upstream release

 -- Olly Betts <olly@survex.com>  Mon, 06 Apr 2020 18:42:15 +1200
