## xapian-core 1.4.17

=== debian/changelog ===
xapian-core (1.4.17-1) unstable; urgency=medium

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Fri, 21 Aug 2020 16:59:01 +1200
