=== debian/changelog ===
xapian-core (1.4.18-3build1) impish; urgency=medium

  * No-change rebuild against GCC 11 (LP: #1940634).

 -- Logan Rosen <logan@ubuntu.com>  Fri, 20 Aug 2021 23:56:14 -0400

xapian-core (1.4.18-3) unstable; urgency=medium

  * debian/rules: Workaround testcase sensitivity to excess precision by
    skipping the testsuite on m68k and in the non-SSE build on i386.
    (Closes: #983091)

 -- Olly Betts <olly@survex.com>  Wed, 24 Feb 2021 07:33:41 +1300

xapian-core (1.4.18-2) unstable; urgency=medium

  * debian/control.in: Mark conformance with policy 4.5.1.
  * debian/rules: Rewrite to use dh.  Diffoscope shows the only change in the
    binary packages is that xapian-tools now includes
    /usr/share/lintian/overrides/xapian-tools (which is an improvement).
  * debian/control.in: Bump compat level to 12.  Changes to the binary
    packages are that the DWARF debug information is now optimised, and some
    examples are no longer compressed.

 -- Olly Betts <olly@survex.com>  Tue, 16 Feb 2021 19:05:21 +1300

xapian-core (1.4.18-1) unstable; urgency=medium

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Thu, 14 Jan 2021 15:59:48 +1300
